import Client from "./Client";
export default class BaseUser {
    client: Client;
    readonly id: string;
    username: string;
    discriminator: string;
    tag: string;
    avatar: string | null;
    bot: boolean;
    system: boolean;
    banner: string | null;
    accent_color: string | null;
    flags: string | null;
    constructor(client: Client, data: any);
    /**
     * Whether or not this instance is a full or partial
     * user. A partial user is a user that is only
     * guaranteed to have `id` set on them.
     *
     * @returns {boolean} `true` if this is a partial user, `false` otherwise.
     */
    isPartial(): boolean;
}
