"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Channel_1 = __importDefault(require("./Channel"));
const ChannelPermissionsBlock_1 = __importDefault(require("./blocks/ChannelPermissionsBlock"));
class GuildChannel extends Channel_1.default {
    constructor(client, data, guild) {
        super(client, data);
        this.guild = null;
        this.permissions = null;
        this.guild = guild ?? client.guilds.cache.get(data.guild_id);
        this.permissions = new ChannelPermissionsBlock_1.default(client, this, data.permission_overwrites);
    }
    async setOverwrites(overwrite) {
    }
}
exports.default = GuildChannel;
