import Client from './Client';
import TextBasedChannel from './TextBasedChannel';
export default class ThreadChannel extends TextBasedChannel {
    constructor(client: Client, data: any, options?: {
        maxSize?: number;
        maxAge?: number;
        checkInterval?: number;
        removeOldest?: boolean;
    });
    private build;
    modify(data: any, reason?: string): Promise<ThreadChannel>;
    /**
     * Set the ThreadChannel's data to the cache.
     *
     * @returns {ThreadChannel} This ThreadChannel instance.
     * @protected
     */
    protected set(): ThreadChannel;
}
