import Permissions from '../Permissions';
import Client from '../Client';
export default class PermissionsBlock {
    client: Client;
    bits: Permissions;
    constructor(client: Client, ...flags: number[]);
    add(...flags: number[]): PermissionsBlock;
    remove(...flags: number[]): PermissionsBlock;
    has(flag: number, options?: {
        adminOverride?: boolean;
    }): boolean;
    equals(check: PermissionsBlock | Permissions | number): boolean;
}
