import Client from '../Client';
import Guild from '../Guild';
import Cache from './Cache';
export default class CGCache extends Cache {
    client: Client;
    guild: Guild;
    constructor(client: Client, guild: Guild, options?: {
        maxSize?: number;
        maxAge?: number;
        checkInterval?: number;
        removeOldest?: boolean;
    });
    strip(data: any): any;
    rebuild(data: any): any;
}
