import EmbedChild from './EmbedChild';
export default class EmbedMedia extends EmbedChild {
    url: string;
    height: number | null;
    width: number | null;
    constructor(url: string, height?: number, width?: number);
    setUrl(url: string): void;
    setHeight(height: number): void;
    setWidth(width: number): void;
    removeHeight(): void;
    removeWidth(): void;
    /**
     * Format this class into an API-acceptable object.
     */
    format(): {
        url: string;
        height: number | null;
        width: number | null;
    };
}
