"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
Object.defineProperty(exports, "__esModule", { value: true });
class BaseUser {
    constructor(client, data) {
        this.client = null;
        this.username = null;
        this.discriminator = null;
        this.tag = null;
        this.avatar = null;
        this.bot = false;
        this.system = false;
        this.banner = null;
        this.accent_color = null;
        this.flags = null;
        this.client = client;
        this.id = data.id;
    }
    /**
     * Whether or not this instance is a full or partial
     * user. A partial user is a user that is only
     * guaranteed to have `id` set on them.
     *
     * @returns {boolean} `true` if this is a partial user, `false` otherwise.
     */
    isPartial() {
        return false;
    }
}
exports.default = BaseUser;
