import Channel from './Channel';
import Guild from './Guild';
import Client from './Client';
import ChannelPermissionsBlock from './blocks/ChannelPermissionsBlock';
export default abstract class GuildChannel extends Channel {
    guild: Guild;
    permissions: ChannelPermissionsBlock;
    constructor(client: Client, data: any, guild?: Guild);
    protected setOverwrites(overwrite: {
        id: string;
        type: 'role' | 'member';
    }[]): Promise<void>;
    abstract modify(data: any, reason?: string): Promise<GuildChannel>;
}
