import Client from './Client';
import MessageBlock from './blocks/MessageBlock';
import GuildChannel from './GuildChannel';
import { MessageContent } from '../util/Types';
import Message from './Message';
import { Guild } from '..';
export default abstract class TextBasedChannel extends GuildChannel {
    readonly messages: MessageBlock;
    constructor(client: Client, data: any, options?: {
        maxSize?: number;
        maxAge?: number;
        checkInterval?: number;
        removeOldest?: boolean;
    }, guild?: Guild);
    send(message: MessageContent): Promise<Message>;
}
