import EmbedChild from './EmbedChild';
export default class EmbedAuthor extends EmbedChild {
    name: string;
    url: string | null;
    iconUrl: string | null;
    constructor(name: string, url?: string, iconUrl?: string);
    setName(name: string): void;
    setUrl(url: string): void;
    setIconUrl(iconUrl: string): void;
    removeUrl(): void;
    removeIcon(): void;
    /**
     * Format this class into an API-acceptable object.
     */
    format(): {
        name: string;
        url: string | null;
        icon_url: string | null;
    };
}
