import EmbedChild from './EmbedChild';
export default class EmbedField extends EmbedChild {
    name: string;
    value: string;
    inline: boolean;
    constructor(name: string, value: string, inline?: boolean);
    setName(name: string): void;
    setValue(value: string): void;
    setInline(inline: boolean): void;
    /**
     * Format this class into an API-acceptable object.
     */
    format(): {
        name: string;
        value: string;
        inline: boolean;
    };
}
