import EmbedChild from './EmbedChild';
export default class EmbedFooter extends EmbedChild {
    text: string;
    iconUrl: string | null;
    constructor(text: string, iconUrl?: string);
    setText(text: string): void;
    setIconUrl(iconUrl: string): void;
    removeIcon(): void;
    /**
     * Format this class into an API-acceptable object.
     */
    format(): {
        text: string;
        icon_url: string | null;
    };
}
